# Get voice details (/docs/api-reference/providers/getVoice)

> Detailed metadata for a specific voice.



**GET** `/providers/voice/{voice_id}`

Detailed metadata for a specific voice.

```yaml
operationId: getVoice
parameters:
  - name: voice_id
    in: path
    required: true
    schema:
      type: integer
responses:
  '200':
    description: Voice details.
    content:
      application/json:
        schema:
          type: object
          description: A single voice's metadata.
          properties:
            id:
              oneOf:
                - type: integer
                - type: 'null'
            name:
              type: string
            display_name:
              type: string
            service:
              type: string
            sample_url:
              type: string
              format: uri
        example:
          id: 1
          name: aura-luna-en
          display_name: luna
          service: deepgram
          sample_url: https://res.cloudinary.com/deepgram/video/upload/v1709565351/aura/luna_docs_clom0e.wav
  '404':
    description: No voice with that ID.
    content:
      application/json:
        schema:
          type: object
          properties:
            error:
              type: string
              example: Voice not found
```

**Python SDK**

```python
# Get detailed information about a specific voice
voice_details = client.providers.get_voice(123)
print(voice_details)
# Returns: {'id': 123, 'name': 'Voice Name', 'provider': 'eleven_labs', ...}
```

**curl**

```bash
curl -X GET "https://backend.omnidim.io/api/v1/providers/voice/{voice_id}" \
  -H "Authorization: Bearer $OMNIDIM_API_KEY"
```
